r2402 - in packages: . tarballs

Samuel Hocevar sho at alioth.debian.org
Tue Feb 13 12:26:24 CET 2007


Author: sho
Date: 2007-02-13 12:26:24 +0100 (Tue, 13 Feb 2007)
New Revision: 2402

Added:
   packages/tarballs/
   packages/tarballs/getsources.sh
Log:
  * Re-added empty tarballs directory, with a script to get tarballs from
    the archive.



Property changes on: packages/tarballs
___________________________________________________________________
Name: svn:ignore
   + *.tar.gz


Added: packages/tarballs/getsources.sh
===================================================================
--- packages/tarballs/getsources.sh	2007-02-13 11:19:25 UTC (rev 2401)
+++ packages/tarballs/getsources.sh	2007-02-13 11:26:24 UTC (rev 2402)
@@ -0,0 +1,27 @@
+#!/bin/sh
+
+set -e
+
+cd "$(dirname $0)"
+
+# Download package sources that are already in the archive. You probably do
+# not need this script, but I do -- sam 07/02/13.
+
+SOURCES=$(find ../trunk -wholename '*debian/control' -exec sed -ne 's/Source: //p' '{}' ';' | sort | uniq)
+
+for x in ${SOURCES}; do
+  echo -n "$x: "
+  CACHE="$(apt-cache showsrc $x)"
+  DIR="$(echo "$CACHE" | sed -ne 's/Directory: //p' | head -n 1)"
+  TARBALL="$(echo "$CACHE" | sed -ne 's/.* \(.*[.]tar[.]gz\)/\1/p'| head -n 1)"
+  if [ -z "$DIR" -o -z "$TARBALL" ]; then
+    echo "no source found"
+  elif [ -f "$TARBALL" ]; then
+    echo "$TARBALL already here"
+  else
+    echo "downloading $TARBALL"
+    wget -qc http://ftp.fr.debian.org/debian/$DIR/$TARBALL -O $TARBALL.part
+    mv $TARBALL.part $TARBALL
+  fi
+done
+


Property changes on: packages/tarballs/getsources.sh
___________________________________________________________________
Name: svn:executable
   + *
Name: svn:keywords
   + Id




More information about the Pkg-games-commits mailing list